| My Project

Classes | Enumerations
Modèle Namespace Reference

## Classes
class | Expert
| Class Expert qui implémente l'interface Personne Un expert peut ajouter et modifier des requins mais il peut aussi valider ou refuser les ajouts ou les modifications des utilisateurs More...
class | Personne
| Interface Personne qui est la base des utilisateurs de l'application More...
class | Position
| Classe Position qui permet de connaitre la surface de répartition d'un requin Cependant nous n'avons pas eu le temps d'implémenter cette classe dans les requins More...
class | Requin
| Classe Requin qui implémente la méthode IEquatable de Requin More...
class | Utilisateur
| Classe Utilisateur qui implémente l'interface Personne More...

## Enumerations
enum | Conservation { EX , EW , CR , EN , VU , NT , LC , DD , NE }
| Type énuméré qui contient tous les status de conservation des espèces animales. More...
enum | UCrequinType { normal , edit , add }
| Type énuméré qui permet de savoir si un UserControlRequin et de type normal, édité ou ajouté More...
enum | Zone { ATLANTIQUE , ARCTIQUE , PACIFIQUE , INDIEN }
| Type énuméré qui contient les océans où il y a des requins More...

## Enumeration Type Documentation

## ◆ Conservation

enum Modèle.Conservation

Type énuméré qui contient tous les status de conservation des espèces animales.

Enumerator
EX | Extinct
EW | Extinct in the Wild
CR | Critically Endangered
EN | Endangered
VU | Vulnerable
NT | Near Threatened
LC | Least Concern
DD | Data Deficient
NE | Not Evaluated

## ◆ UCrequinType

enum Modèle.UCrequinType

Type énuméré qui permet de savoir si un UserControlRequin et de type normal, édité ou ajouté

Enumerator
normal | UCRequin qui mène à la description du requin
edit | UCRequin qui mène à DescriptionEdit
add | UCRequin qui mène à DescriptionAdd

## ◆ Zone

enum Modèle.Zone

Type énuméré qui contient les océans où il y a des requins

Enumerator
ATLANTIQUE | Océan Atlantique
ARCTIQUE | Océan Arctique
PACIFIQUE | Océan Pacifique
INDIEN | Océan Indien